Log inUsernamePassword
Log me on automatically each visit    
Register
Register
Log in to check your private messages
Log in to check your private messages
SMS Forum Index » Installation Support

Post new topic   Reply to topic
slapt-get error on update Goto page 1, 2  Next
View previous topic :: View next topic  
Author Message
Busta
-{ D.O.N.A.T.O.R. }-


Joined: 13 Aug 2007
Posts: 81

PostPosted: Mon Jul 06, 2009 9:12 pm    Post subject: slapt-get error on update Reply with quote

When running " slapt-get -u " , I get the below error- ( Only part of the regex errors, there are more listing other packages)

regex failed on [PACKAGE NAME: cscope-15.6-i486-1.txz]
regex failed on [PACKAGE NAME: doxygen-1.5.8-i486-1.txz]
regex failed on [PACKAGE NAME: gettext-tools-0.17-i486-3.txz]
regex failed on [PACKAGE NAME: distcc-2.18.3-i486-2.txz]
regex failed on [PACKAGE NAME: bison-2.4.1-i486-1.txz]

Failed to parse package data from http://sms.it-ccs.com/isos/SMS-Current/
Sources failed to download, correct sources and rerun --update

Is the URL still valid?
Back to top
View user's profile Send private message
gerasimos_h
Site Admin


Joined: 09 Aug 2007
Posts: 1743
Location: Greece

PostPosted: Mon Jul 06, 2009 9:20 pm    Post subject: Reply with quote

Have you upgraded slapt-get to 0.10.1b?
http://sms.it-ccs.com/isos/SMS-1.4.3b/testing/slapt-get-0.10.1b-i386-1sms.tgz

gerasimos_h

_________________
Superb! Mini Server Project Manager
http://sms.it-ccs.com
Back to top
View user's profile Send private message Visit poster's website
Busta
-{ D.O.N.A.T.O.R. }-


Joined: 13 Aug 2007
Posts: 81

PostPosted: Mon Jul 06, 2009 10:05 pm    Post subject: Reply with quote

no I did not- I see the update now
thanks
Back to top
View user's profile Send private message
Busta
-{ D.O.N.A.T.O.R. }-


Joined: 13 Aug 2007
Posts: 81

PostPosted: Mon Jul 06, 2009 10:20 pm    Post subject: Reply with quote

seem to be getting this error now- using "slapt-get --upgrade" after first running "slapt-get -u" with new version of slapt-get

Preparing to replace cpio-2.9-i486-1 with cpio-2.9-i486-2

Error: there is no installed package named cpio-2.9-i486-2.
(looking for /var/log/packages/cpio-2.9-i486-2)


Failed to execute command: [/sbin/upgradepkg --reinstall /var/slapt-get/./slackware/a/cpio-2.9-i486-2.txz]
Back to top
View user's profile Send private message
gerasimos_h
Site Admin


Joined: 09 Aug 2007
Posts: 1743
Location: Greece

PostPosted: Mon Jul 06, 2009 10:35 pm    Post subject: Reply with quote

What version of SMS do you have? Have you upgrade pkgtools xz and tar from SMS-1.4.3 to support .txz?
I just boot from SMS.Live.CD-1.4.3 install slapt-get and do a
"slapt-get -i cpio" successfully.
Do you have cpio package at /var/log/packages?
If you want to upgrade you system it's wise to download SMS.Native.CD-1.4.4-install.iso and follow the upgrade procedure described in the upgrade.txt and here.


gerasimos_h

_________________
Superb! Mini Server Project Manager
http://sms.it-ccs.com
Back to top
View user's profile Send private message Visit poster's website
Busta
-{ D.O.N.A.T.O.R. }-


Joined: 13 Aug 2007
Posts: 81

PostPosted: Mon Jul 06, 2009 10:53 pm    Post subject: Reply with quote

I have been using slapt-get to upgrade since the last few versions.
slapt-get -i cpio produces the same error message
Back to top
View user's profile Send private message
gerasimos_h
Site Admin


Joined: 09 Aug 2007
Posts: 1743
Location: Greece

PostPosted: Mon Jul 06, 2009 11:22 pm    Post subject: Reply with quote

Try upgrading or installing cpio manual and see if it continue with the upgrade.
Sometimes slapt-get misses new packages, don't forget to install them.

gerasimos_h

_________________
Superb! Mini Server Project Manager
http://sms.it-ccs.com
Back to top
View user's profile Send private message Visit poster's website
Busta
-{ D.O.N.A.T.O.R. }-


Joined: 13 Aug 2007
Posts: 81

PostPosted: Tue Jul 07, 2009 5:13 pm    Post subject: Reply with quote

Why the change from tgz to txz?

Downloading http://sms.it-ccs.com/isos/SMS-Current/slackware/a/cpio-2.9-i486-2.txz (132368 bytes) ..
Received 1024 bytes (0 %)
Received 13312 bytes (10 %)
Received 26624 bytes (20 %)
Received 39936 bytes (30 %)
Received 53248 bytes (40 %)
Received 66560 bytes (50 %)
Received 79872 bytes (60 %)
Received 93184 bytes (70 %)
Received 106496 bytes (80 %)
Received 119808 bytes (90 %)
Received 132368 bytes (100 %)
.. download complete.

Failed to install package : Not a valid Slackware Package Manager file
Back to top
View user's profile Send private message
gerasimos_h
Site Admin


Joined: 09 Aug 2007
Posts: 1743
Location: Greece

PostPosted: Tue Jul 07, 2009 5:19 pm    Post subject: Reply with quote

It's faster in extraction and a lot smaller.

You need to install manually first, if you haven't already
http://sms.it-ccs.com/isos/SMS-1.4.3b/slackware/a/xz-4.999.8beta-i486-1.tgz
http://sms.it-ccs.com/isos/SMS-1.4.3b/slackware/a/tar-1.22-i486-1.tgz
http://sms.it-ccs.com/isos/SMS-1.4.3b/slackware/a/pkgtools-12.34567890-noarch-5sms.tgz

gerasimos_h

_________________
Superb! Mini Server Project Manager
http://sms.it-ccs.com
Back to top
View user's profile Send private message Visit poster's website
Busta
-{ D.O.N.A.T.O.R. }-


Joined: 13 Aug 2007
Posts: 81

PostPosted: Tue Jul 07, 2009 5:33 pm    Post subject: Reply with quote

After manual install , same errors as before


Doesn't seem to have the libcap.so.2 for some reason- Do you know off hand what package provides that file.

Preparing to replace cpio-2.9-i486-1 with cpio-2.9-i486-2

Error: there is no installed package named cpio-2.9-i486-2.
(looking for /var/log/packages/cpio-2.9-i486-2)


Failed to execute command: [/sbin/upgradepkg --reinstall /var/slapt-get/./slackware/a/cpio-2.9-i486-2.txz]
# cd /var/log/packages/
/var/log/packages# ls
/bin/ls: error while loading shared libraries: libcap.so.2: cannot open shared object file: No such file or directory
Back to top
View user's profile Send private message
gerasimos_h
Site Admin


Joined: 09 Aug 2007
Posts: 1743
Location: Greece

PostPosted: Tue Jul 07, 2009 5:51 pm    Post subject: Reply with quote

http://sms.it-ccs.com/isos/SMS-Current/slackware/a/aaa_elflibs-13-i486-1.txz

aaa_* they are on excluded packages so you either run slapt-get --dist-upgrade or --upgrade --ignore-excludes.

gerasimos_h

_________________
Superb! Mini Server Project Manager
http://sms.it-ccs.com
Back to top
View user's profile Send private message Visit poster's website
Busta
-{ D.O.N.A.T.O.R. }-


Joined: 13 Aug 2007
Posts: 81

PostPosted: Tue Jul 07, 2009 6:05 pm    Post subject: Reply with quote

Doesn't seem like slapt-get is looking in the right location
using
slapt-get --version
slapt-get version 0.10.1b

#slapt-get --upgrade --ignore-excludes
1/163 Get http://sms.it-ccs.com/isos/SMS-Current/ aaa_elflibs 13-i486-1 [3.5MB]...Done
34/163 Get http://sms.it-ccs.com/isos/SMS-Current/ glibc-i18n 2.9-i486-3 [5.6MB]...Done
35/163 Get http://sms.it-ccs.com/isos/SMS-Current/ glibc-profile 2.9-i486-3 [815.0kB]...Done
37/163 Get http://sms.it-ccs.com/isos/SMS-Current/ glibc-zoneinfo 2.9-noarch-3 [150.0kB]...Done
59/163 Get http://sms.it-ccs.com/isos/SMS-Current/ kernel-headers 2.6.29.5_smp-x86-1 [525.0kB]...Done
60/163 Get http://sms.it-ccs.com/isos/SMS-Current/ kernel-huge 2.6.29.5-i486-1sms [17.3MB]...Done
61/163 Get http://sms.it-ccs.com/isos/SMS-Current/ kernel-hugel7 2.6.29.5_l7-i486-1sms [17.3MB]...Done
62/163 Get http://sms.it-ccs.com/isos/SMS-Current/ kernel-hugesmp 2.6.29.5_smp-i486-1sms [18.0MB]...Done
63/163 Get http://sms.it-ccs.com/isos/SMS-Current/ kernel-livecd 2.6.29.5_lcd-i486-1sms [17.9MB]...Done
64/163 Get http://sms.it-ccs.com/isos/SMS-Current/ kernel-source 2.6.29.5_smp-noarch-1 [46.9MB]...Done
153/163 Get http://sms.it-ccs.com/isos/SMS-Current/ udev 141-i486-2 [156.0kB]...Done

Preparing to replace aaa_elflibs-12.2.0-i486-1 with aaa_elflibs-13-i486-1

Error: there is no installed package named aaa_elflibs-13-i486-1.
(looking for /var/log/packages/aaa_elflibs-13-i486-1)


Failed to execute command: [/sbin/upgradepkg --reinstall /var/slapt-get/./slackware/a/aaa_elflibs-13-i486-1.txz]
Back to top
View user's profile Send private message
gerasimos_h
Site Admin


Joined: 09 Aug 2007
Posts: 1743
Location: Greece

PostPosted: Tue Jul 07, 2009 6:17 pm    Post subject: Reply with quote

The error it's for not having a working 'ls' command since you upgrade coreutils without the aaa_elflibs-13.
install manual with 'installpkg aaa_elflibs 13-i486-1.txz'
If you still get errors do a
cd /var/slapt-get/./slackware/a/
mkdir tmp
cd tmp
tar xJf ../aaa_elflibs 13-i486-1.txz
cp lib/libcap.so.2.16 /lib/
ln -s /lib/libcap.so.2.16 /lib/libcap.so.2

gerasimos_h

_________________
Superb! Mini Server Project Manager
http://sms.it-ccs.com
Back to top
View user's profile Send private message Visit poster's website
Busta
-{ D.O.N.A.T.O.R. }-


Joined: 13 Aug 2007
Posts: 81

PostPosted: Tue Jul 07, 2009 8:15 pm    Post subject: Reply with quote

"installpkg aaa_elflibs-13-i486-1.txz"

That did the trick- kernel updated ok with slapt-get
other updates applied without issue- reran lilo before reboot (not sure if this was required)

had to recreate the samba users after samba update.

I have /etc/rc.d/rc.postfix set to exec
-rwxr-xr-x 1 root root 865 2004-07-21 20:41 rc.postfix*
but it does not start on boot up. I added to rc.local, but should this start on boot or is the rc.local option they proper way to load on boot/reboot

Thanks for your help
Back to top
View user's profile Send private message
gerasimos_h
Site Admin


Joined: 09 Aug 2007
Posts: 1743
Location: Greece

PostPosted: Tue Jul 07, 2009 9:37 pm    Post subject: Reply with quote

Rename in /etc/rc.d/ all .new files e.g. 'mv rc.M.new rc.M'
Files that are crucial rc.M, rc.S, rc.4, rc.6, rc.messagebus, rc.udev.
Edit your /etc/passwd and add oprofile entry from /etc/passwd.new.
Add gid 16 (dialout), gid 51 (oprofile), and gid 86 (netdev) from /etc/group.new to your /etc/group file.
If you have the old rc.local where all the services where be, remove it as all the services now start from rc.M including rc.postfix. delete rc.postfix-milter if you have it.
lilo was crucial or your system wouldn't boot.
I saw from your previous message
Code:
60/163 Get http://sms.it-ccs.com/isos/SMS-Current/ kernel-huge 2.6.29.5-i486-1sms [17.3MB]...Done
61/163 Get http://sms.it-ccs.com/isos/SMS-Current/ kernel-hugel7 2.6.29.5_l7-i486-1sms [17.3MB]...Done
62/163 Get http://sms.it-ccs.com/isos/SMS-Current/ kernel-hugesmp 2.6.29.5_smp-i486-1sms [18.0MB]...Done
63/163 Get http://sms.it-ccs.com/isos/SMS-Current/ kernel-livecd 2.6.29.5_lcd-i486-1sms

If you install it in that way then your system has 2.6.29.5-lcd (uname -r).

Don't forget to install the new packages if slapt-get don't.
libXcomposite-0.4.0.
libXcursor-1.1.9.
libXdamage-1.1.1.
libXfixes-4.0.3.
libXft-2.1.13.
libXi-1.2.1.
libXinerama-1.0.3.
libXrandr-1.3.0.
pixman-0.15.10.
sqlite-3.6.14.
Jasper-1.900.1.

gerasimos_h

_________________
Superb! Mini Server Project Manager
http://sms.it-ccs.com
Back to top
View user's profile Send private message Visit poster's website
Display posts from previous:   
Post new topic   Reply to topic    SMS Forum Index » Installation Support All times are GMT + 2 Hours
Goto page 1, 2  Next
Page 1 of 2

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You can attach files in this forum
You can download files in this forum

SMS - Superb! Mini Server Project © 2016
Powered by phpBB © 2001, 2002 phpBB Group
iCGstation v1.0 Template By Ray © 2003, 2004 iOptional